Footer URL
Retrieve the footer URLs from the Theme.
Path parameters
idinteger · int32Required
Theme ID.
Responses
200
Success
application/json; api-version=1.0
RAS Footer URL
urlstring · nullableOptional
The URL link
textstring · nullableOptional
The URL text
tooltipstring · nullableOptional
The URL tool tip
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
get/api/Theme/{id}/FooterURL
GET /api/Theme/{id}/FooterURL HTTP/1.1
Accept: */*
[
{
"url": "text",
"text": "text",
"tooltip": "text"
}
]Add the specified footer URL to the Theme.
Path parameters
idinteger · int32Required
Theme ID
Body
Add a footer URL in the RAS Theme
urlstring · nullableRequired
The URL
textstring · min: 1 · max: 255 · nullableRequired
The text
tooltipstring · max: 255 · nullableOptional
The tooltip
Responses
204
No Content
No content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
post/api/Theme/{id}/FooterURL
POST /api/Theme/{id}/FooterURL HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 45
{
"url": "text",
"text": "text",
"tooltip": "text"
}No content
Remove the specified footer URL from the Theme.
Path parameters
idinteger · int32Required
Theme ID
Body
Remove a footer URL from the RAS Theme
urlstring · nullableRequired
The URL
textstring · min: 1 · max: 255 · nullableRequired
The text
tooltipstring · max: 255 · nullableOptional
The tooltip
Responses
204
No Content
No content
401
Unauthorized
application/json; api-version=1.0
404
Not Found
application/json; api-version=1.0
delete/api/Theme/{id}/FooterURL
DELETE /api/Theme/{id}/FooterURL HTTP/1.1
Content-Type: application/json; api-version=1.0
Accept: */*
Content-Length: 45
{
"url": "text",
"text": "text",
"tooltip": "text"
}No content
Last updated